Ubuntu

upgrading from lucid to precise fails

Reported by Brian J. Murrell on 2012-04-28
276
This bug affects 53 people
Affects Status Importance Assigned to Milestone
python-defaults (Ubuntu)
High
Unassigned

Bug Description

= IMPORTANT NOTICE =

If you got here, chances are your upgrade from lucid to precise failed, and you're now trying to rescue it by hand with apt.

Please don't just comment on this bug or reopen it. It isn't helpful, there are too many different issues here, already.

Rather file a new bug, by running "ubuntu-bug update-manager"
If you can't do that, because apport is broken, file a bug by hand, and attach the contents of /var/log/dist-upgrade. Tag the bug lucid2precise.

https://help.ubuntu.com/community/ReportingBugs#Filing_bugs_at_Launchpad.net
https://wiki.ubuntu.com/DebuggingUpdateManager

If you didn't use update-manager (or do-release-upgrade from update-manager-core) to do your upgrade please do so next time instead of trying to upgrade with only apt. You'll get much better results.

How to get past this:
# apt-get install -o APT::Immediate-Configure=false -f apt python-minimal
# apt-get -f install
# apt-get dist-upgrade

= ORIGINAL REPORT =

Trying to "apt-get dist-upgrade" from lucid to precise I get the following error:

E: Could not perform immediate configuration on 'python-minimal'.Please see man 5 apt.conf under APT::Immediate-Configure for details. (2)

So I tried to upgrade just python-minimal and it failed the same:

root@linux:/var/tmp# apt-get install python-minimal
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libtext-csv-xs-perl libdbd-csv-perl libgs8 cpp-4.1
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libapt-inst1.4 libcurl3-gnutls librtmp0 lsb-release python python-apport python-apt python-apt-common python-gdbm python-lxml python-mysqldb python-pkg-resources python-problem-report
  python-pycurl python-pysqlite2 python-simplejson python-software-properties python-support python-twisted-bin python-twisted-core python-zope.interface python2.7 python2.7-minimal
Suggested packages:
  lsb python-doc python-tk python-apt-dbg python-gtk2 python-vte python-apt-doc python-gdbm-dbg python-lxml-dbg python-egenix-mxdatetime python-mysqldb-dbg python-distribute python-distribute-doc
  libcurl4-gnutls-dev python-pycurl-dbg python-pysqlite2-doc python-pysqlite2-dbg python-twisted-bin-dbg python-glade2 python-qt3 python-wxgtk2.8 python2.7-doc binfmt-support
Recommended packages:
  xz-lzma python-openssl python-pam python-serial
The following packages will be REMOVED:
  python2.5 python2.5-minimal
The following NEW packages will be installed:
  libapt-inst1.4 librtmp0 python-apt-common python2.7 python2.7-minimal
The following packages will be upgraded:
  libcurl3-gnutls lsb-release python python-apport python-apt python-gdbm python-lxml python-minimal python-mysqldb python-pkg-resources python-problem-report python-pycurl python-pysqlite2
  python-simplejson python-software-properties python-support python-twisted-bin python-twisted-core python-zope.interface
19 upgraded, 5 newly installed, 2 to remove and 718 not upgraded.
Need to get 0B/7,492kB of archives.
After this operation, 3,121kB disk space will be freed.
Do you want to continue [Y/n]? y
E: Could not perform immediate configuration on 'python-minimal'.Please see man 5 apt.conf under APT::Immediate-Configure for details. (2)

Clearly this is an acceptable situation when trying to upgrade from one LTS to another.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: python-minimal 2.6.5-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-22.36-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic i686
Architecture: i386
Date: Sat Apr 28 16:43:25 2012
PackageArchitecture: all
ProcEnviron:
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
SourcePackage: python-defaults

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in python-defaults (Ubuntu):
status: New → Confirmed
urusha (urusha) wrote :

I got the same error when I tried to 'do-release-upgrade' from lucid to precise.
For me workaround was:
sudo apt-get -f install -o APT::Immediate-Configure=false
And after this run 'do-release-upgrade' again.

Praxis (ebiow) wrote :

Unfortunately that didn't unwedge my system, and 'dpkg --configure --pending' didn't help, either.

Stefano Rivera (stefanor) wrote :

Upgrading by hand with dist-upgrade isn't supported. You really should be using do-release-upgrade.

I could trivially reproduce this in a minimal chroot with python installed in it. Upgrading apt before dist-upgrading avoided the problem.

Andrew Cowie (afcowie) wrote :

Using `do-release-upgrade` failed with this error, as did a subsequent `apt-get dist-upgrade`. We have hit this on 11 machines both servers and desktops, none of which have been able to upgrade from Lucid to Precise.

AfC

Paul Drain (pd) wrote :

Doing:

$ sudo -s
# do-release-upgrade

Bombed the same way OP

# apt-get -f install -o APT::Immediate-Configure=false

and:

# dpkg --configure -a

Fail to fix the problem, leaving a dependency problem with python-minimal, which if I manually install, leaves a trail of disaster beginning with libc6 and continuing upwards through the distribution.

agent 8131 (agent-8131) wrote :

I got past this with (as root):

apt-get install -o APT::Immediate-Configure=false -f apt python-minimal

On 12-04-30 06:45 PM, Stefano Rivera wrote:
> Upgrading by hand with dist-upgrade isn't supported. You really should
> be using do-release-upgrade.

As has been reported in this bug a number of times, do-release-upgrade
doesn't work either.

But to that point, I would call it a failing that a process needs to be
wrapped around "apt-get dist-upgrade" to handle, uhm,
*dist*tribution*-upgrade*s.

> I could trivially reproduce this in a minimal chroot with python
> installed in it. Upgrading apt before dist-upgrading avoided the
> problem.

Well, that didn't work here either. I upgraded apt and dpkg and still
needed to override the apt configuration variable to finally get it to
install.

Stefano Rivera (stefanor) wrote :

Is anyone here seeing this bug when running do-release-upgrade / update-manager *before* trying to dist-upgrade by hand?
If so, can you please give me some more information that I can use to reproduce this? A list of packages you have installed would be helpful. And APT logs. https://wiki.ubuntu.com/DebuggingUpdateManager

> As has been reported in this bug a number of times, do-release-upgrade
> doesn't work either.

The reports mentioning that looked like they'd tried to dist-upgrade first.

> But to that point, I would call it a failing that a process needs to be
> wrapped around "apt-get dist-upgrade" to handle, uhm,
> *dist*tribution*-upgrade*s.

Regardless of your opinion of that, having a tool that handles all the details of a distribution upgrade (which is more complex than just an apt dist-upgrade) makes peoples lives a lot easier. It means you don't have to read long release notes mentioning every possible pitfall we know about, that you may run into. update-manager can just know how to avoid them, itself.

apt's dist-upgrade is just an apt upgrade that allows package removal. It's not an all-in-one distribution upgrade tool.

> Well, that didn't work here either. I upgraded apt and dpkg and still
> needed to override the apt configuration variable to finally get it to
> install.

Which is the kind of thing you need to do when upgrading by hand, rather than using upgrade-manager. It's perfectly doable, just not that quick and easy.

I'd like to help, but I haven't got much concrete data to work on here.

tags: added: lucid2precise
removed: lucid
Andrew Cowie (afcowie) wrote :

> Is anyone here seeing this bug when running do-release-upgrade / update-manager *before* trying to dist-upgrade by hand?

Yes, that was how we first encountered the problem.

    # apt-get install -o APT::Immediate-Configure=false -f apt python-minimal
    # apt-get dist-upgrade

This *succeeded* as a workaround.

AfC

Paul Drain (pd) wrote :

Stefano --

The lucid desktops I look after were run just as my comment above had specified, opened a terminal, sudo -s, run do-release-upgrade, wait for breakage, i'd also tried "do-release-upgrade -m desktop" to little success.

The lucid servers I look after are also affected -- none of which have "update-manager" by default (obviously) but installing it and running "do-release-upgrade" on it's own does indeed fail, but running the workaround from #8 _then_ running it does indeed seem to get further.

Further, the failed upgrades happen on LAMP servers as well as File Servers, both sets of which use packages only from main/restricted/universe for 10.04 -- one of the LAMP servers upgrades was out of date, going from 10.04.3 to 12.04 & died trying to upgrade php5 and php5-common too, but running:

# apt-get install -o APT::Immediate-Configure=false -f dpkg apt python-minimal

Then running do-release-upgrade seemed to work there.

However, loading a bunch of X/GNOME/other GUI dependancies on to dedicated servers in remote locations is not something i'd be doing lightly (at all) -- so having a non-GUI fix to the problem would probably help here.

Stefano Rivera (stefanor) wrote :

Hi Andrew (2012.05.02_03:48:03_+0200)
> Yes, that was how we first encountered the problem.

Great. Can you give me a list of installed packages (dpkg
--get-selections) on a machine that encountered this?
As well as its upgrade logs?

I haven't been able to reproduce it yet.

Stefano Rivera (stefanor) wrote :

Hi Paul (2012.05.02_10:56:15_+0200)
> However, loading a bunch of X/GNOME/other GUI dependancies on to
> dedicated servers in remote locations is not something i'd be doing
> lightly (at all) -- so having a non-GUI fix to the problem would
> probably help here.

That's what update-manager-core is for. That's where do-release-upgrade
comes from.

Colin Watson (cjwatson) wrote :

Please run this command on a failing system to attach upgrade logs so that we can debug this:

  apport-collect -p update-manager -u 990740

Colin Watson (cjwatson) wrote :

Sorry, make that:

  apport-cli -p update-manager -u 990740

The same problems here. do-release-update failed and manual update give us broken packages when updating python-minimal

How do upgrade bugs like this even exist? Does nobody at Canonical actually test upgrades? Of course somebody must be, but what kind of unused/minimalist systems were they upgrading that they didn't even have python-minimal installed?

Between this and the libsasl upgrade debacle it really makes one wonder what kind of minimal upgrade testing is actually done. Clearly this is an area that needs some work.

I wonder if some kind of "will this system upgrade" test can be constructed that doesn't actually do an upgrade but tests for dependency breakage (so that people who are not ready to jump full on into a beta test can at least do this kind of test and report problems) prior to a full release.

dpkg --get-selections

We have this problem too in doing in-place upgrade testing.

Using -o APT::Immediate-Configure=false seems to work around it.

Steve Langasek (vorlon) wrote :

Still need someone to run the command Colin asked for in comment #16 so we have enough information to reproduce this.

Changed in python-defaults (Ubuntu):
status: Confirmed → Incomplete
importance: Undecided → High
Download full text (3.7 KiB)

I should be able to get the requested info on Monday.
On May 18, 2012 6:30 PM, "Steve Langasek" <email address hidden>
wrote:

> Still need someone to run the command Colin asked for in comment #16 so
> we have enough information to reproduce this.
>
> ** Changed in: python-defaults (Ubuntu)
> Status: Confirmed => Incomplete
>
> ** Changed in: python-defaults (Ubuntu)
> Importance: Undecided => High
>
> --
> You received this bug notification because you are a member of Goobuntu
> Team, which is subscribed to the bug report.
> https://bugs.launchpad.net/bugs/990740
>
> Title:
> upgrading from lucid to precise fails
>
> Status in “python-defaults” package in Ubuntu:
> Incomplete
>
> Bug description:
> Trying to "apt-get dist-upgrade" from lucid to precise I get the
> following error:
>
> E: Could not perform immediate configuration on 'python-
> minimal'.Please see man 5 apt.conf under APT::Immediate-Configure for
> details. (2)
>
> So I tried to upgrade just python-minimal and it failed the same:
>
> root@linux:/var/tmp# apt-get install python-minimal
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages were automatically installed and are no longer
> required:
> libtext-csv-xs-perl libdbd-csv-perl libgs8 cpp-4.1
> Use 'apt-get autoremove' to remove them.
> The following extra packages will be installed:
> libapt-inst1.4 libcurl3-gnutls librtmp0 lsb-release python
> python-apport python-apt python-apt-common python-gdbm python-lxml
> python-mysqldb python-pkg-resources python-problem-report
> python-pycurl python-pysqlite2 python-simplejson
> python-software-properties python-support python-twisted-bin
> python-twisted-core python-zope.interface python2.7 python2.7-minimal
> Suggested packages:
> lsb python-doc python-tk python-apt-dbg python-gtk2 python-vte
> python-apt-doc python-gdbm-dbg python-lxml-dbg python-egenix-mxdatetime
> python-mysqldb-dbg python-distribute python-distribute-doc
> libcurl4-gnutls-dev python-pycurl-dbg python-pysqlite2-doc
> python-pysqlite2-dbg python-twisted-bin-dbg python-glade2 python-qt3
> python-wxgtk2.8 python2.7-doc binfmt-support
> Recommended packages:
> xz-lzma python-openssl python-pam python-serial
> The following packages will be REMOVED:
> python2.5 python2.5-minimal
> The following NEW packages will be installed:
> libapt-inst1.4 librtmp0 python-apt-common python2.7 python2.7-minimal
> The following packages will be upgraded:
> libcurl3-gnutls lsb-release python python-apport python-apt python-gdbm
> python-lxml python-minimal python-mysqldb python-pkg-resources
> python-problem-report python-pycurl python-pysqlite2
> python-simplejson python-software-properties python-support
> python-twisted-bin python-twisted-core python-zope.interface
> 19 upgraded, 5 newly installed, 2 to remove and 718 not upgraded.
> Need to get 0B/7,492kB of archives.
> After this operation, 3,121kB disk space will be freed.
> Do you want to continue [Y/n]? y
> E: Could not perform immediate configuration on 'python-minimal'.Please
> see man 5 apt.conf under APT::Immediate-Configure for de...

Read more...

Steve Langasek (vorlon) wrote :

I had a look at the dpkg --get-selections from comment #19, and this shows a large number of packages installed from the medibuntu repository. For the record, we need a reproducible test case based on the Ubuntu archive only to consider this report valid.

We removed all non main ubuntu repositories from sources.list and updated apt, then removed packages not in repositories with the list that we get from:
apt-show-versions | grep 'No available'

Without rebooting, we do a 'do-release-upgrade -d' and it worked perfectly... so, our problem was a mix of ubuntu repositories in sources.list.

V. Balaji (weebalaji) wrote :

This worked for me too: a full solution from a working 10.04LTS to 12.04 LTS is:

# apt-get install -o APT::Immediate-Configure=false --reinstall python-minimal
# do-release-upgrade -d

Praxis (ebiow) wrote :

Just as a clarification, the "apt-get install -o APT::Immediate-Configure=false --reinstall python-minimal" should be performed from Lucid, then run the "do-release-upgrade -d"; I am not sure if I needed this step, but I did it anyway and my upgrade worked.

Stefano Rivera (stefanor) wrote :

No, all you need is do-release-upgrade / update-manager.

"apt-get install -o APT::Immediate-Configure=false --reinstall python-minimal" is for digging yourself out of the hole you got into by trying to upgrade without using do-release-upgrade / update-manager.

On 12-08-27 06:39 PM, Stefano Rivera wrote:
> No, all you need is do-release-upgrade / update-manager.
>
> "apt-get install -o APT::Immediate-Configure=false --reinstall python-
> minimal" is for digging yourself out of the hole you got into by trying
> to upgrade without using do-release-upgrade / update-manager.

Personally, I consider it a bug in apt if all dependencies cannot be
expressed such that some wrapper/meta-upgragder (i.e.
do-release-upgrade) needs to be written -- I'd have been much happier to
see the time spent writing that go into fixing apt.

If apt is up to the job then I consider it a bug in the packaging of the
individual packages to not express themselves correctly.

ogenex (ogenex) wrote :

Doesn't help me unfortunately...

$ do-release-upgrade

results in:

"The upgrade has completed but there were errors during the upgrade process"

ogenex (ogenex) wrote :

Also attaching apt.log

Stefano Rivera (stefanor) wrote :

Hi Brian (2012.08.28_03:04:08_+0200)
> Personally, I consider it a bug in apt if all dependencies cannot be
> expressed such that some wrapper/meta-upgragder (i.e.
> do-release-upgrade) needs to be written -- I'd have been much happier to
> see the time spent writing that go into fixing apt.

They aren't safely expressable in dependencies. We also want to make
sure that you won't be left with an unbootable system if the upgrade
breaks half way through.

The solution in Debian is 50 pages of release notes that you need to
read and follow to do a sucessful upgrade. In Ubuntu, it's automated.
But you need to actually use the tool :)

Bigal-sa (bigal-rsa) wrote :

Problem also exists with Kubuntu. The upgrade was started with "do-release-upgrade"

"apport-cli -p update-manager -u 990740"
results in:
"Could not import module, is a package upgrade in progress? Error: No module named launchpadlib.errors"

"apt-get install -o APT::Immediate-Configure=false --reinstall python-minimal"

didn't help either:

Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
  libc-dev-bin: Depends: libc6 (< 2.12) but 2.15-0ubuntu10 is to be installed
                Recommends: manpages-dev but it is not going to be installed
  libc6-dev: Depends: libc6 (= 2.11.1-0ubuntu7.10) but 2.15-0ubuntu10 is to be installed
  nvidia-common: Depends: nvidia-current-modaliases but it is not installable
  plymouth: Depends: libdrm-nouveau1 (>= 2.4.11-1ubuntu1~) but it is not installable
  python: Depends: python-minimal (= 2.6.5-0ubuntu1) but 2.7.3-0ubuntu2 is to be installed
  python-gconf: Depends: python2.7 but it is not going to be installed
                Depends: python (>= 2.7) but 2.6.5-0ubuntu1 is to be installed
  python-gobject: Depends: python-gi (>= 3.2.2-1~precise) but it is not going to be installed
  python-gobject-2: Depends: python2.7 but it is not going to be installed
                    Depends: python (>= 2.7.1-0ubuntu2) but 2.6.5-0ubuntu1 is to be installed
  python-gtk2: Depends: python2.6-gobject but it is not installable
  python-minimal: Depends: python2.7-minimal (>= 2.7.3) but it is not going to be installed
  xserver-xorg-video-radeon: Depends: libdrm2 (>= 2.4.25) but 2.4.18-1ubuntu3 is to be installed
  xserver-xorg-video-vmware: Depends: libxatracker1 but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Kedar Joshi (kedarpjoshi) wrote :

Hi,

I have Ubuntu 10.04 LTS - Lucid Lynx. I was long time waiting for 23rd Aug 2012 for directly upgrading to Ubuntu 12.04.01 LTS. As my internet link is very slow, i spent several hours [almost 1.5 days] and downloaded all the packages [859 MB of download] using the update-manager tool. I was very disaapointed to see the same problem that is being discussed here -
SystemError: E:Could not perform immediate configuration on 'python-minimal'

I dont want spend any more time downloading all the packages again and try to upgrade again. Can some one please tell me how to fix the problem with minimal effort?

Thanks in advance.

regards,
Kedar

Kedar Joshi (kedarpjoshi) wrote :

Also when i tried solution mentioned above -
kirti@kirtis-desktop:~$ sudo apt-get install -o APT::Immediate-Configure=false --reinstall python-minimal
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  gnome-icon-theme: Breaks: gnome-games (< 1:2.30.2-1) but 1:2.30.0-0ubuntu6 is to be installed
  libasound2: Breaks: libasound2-plugins (< 1.0.24) but 1.0.22-0ubuntu6 is to be installed
  libglib2.0-0: Breaks: gnome-control-center (< 1:3) but 1:2.30.1-0ubuntu2 is to be installed
                Breaks: gvfs (< 1.8) but 1.6.1-0ubuntu1build1 is to be installed
  libpango1.0-0: Breaks: plymouth (< 0.8.2-2ubuntu19) but 0.8.2-2ubuntu2.2 is to be installed
  ppp: Breaks: network-manager (<= 0.8.0.999-1) but 0.8-0ubuntu3.3 is to be installed
       Breaks: network-manager-pptp (<= 0.8.0.999-1) but 0.8-0ubuntu3 is to be installed
E: Broken packages

Abhay Rana (capt-n3m0) wrote :

I face the same thing when upgrading. I did a do-release-upgrade followed by a dist-upgrade.

nemo@emerald:~$ sudo apt-get install -o APT::Immediate-Configure=false --reinstall python-minimal
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  libasound2: Breaks: libasound2-plugins (< 1.0.24) but 1.0.22-0ubuntu6 is to be installed
  libglib2.0-0: Breaks: gnome-control-center (< 1:3) but 1:2.30.1-0ubuntu2 is to be installed
  libpango1.0-0: Breaks: plymouth (< 0.8.2-2ubuntu19) but 0.8.2-2ubuntu2.2 is to be installed
  ppp: Breaks: network-manager (<= 0.8.0.999-1) but 0.8-0ubuntu3.3 is to be installed
       Breaks: network-manager-pptp (<= 0.8.0.999-1) but 0.8-0ubuntu3 is to be installed
E: Broken packages

Steve Langasek (vorlon) wrote :

Marking this bug as invalid. Despite repeated requests for apport-collected upgrade logs showing this issue, none have been provided; the bug is now clearly being piled on by way of some web search, which brings us no closer to a resolution but ensures the bug will not expire out.

If someone can provide the information requested in comment #16, please feel free to reopen this report. Until then, this is not an actionable bug report.

Changed in python-defaults (Ubuntu):
status: Incomplete → Invalid
Bigal-sa (bigal-rsa) wrote :

Strange attitude. This bug pops up in the first week that the point release is available and now it's marked as invalid.

I did say in my earlier post that apport is broken too. If you offer an alternative to get the info, I will gladly try it.

Steve Langasek (vorlon) wrote :

Have you tried the 'apt-get -f install' command shown in the apt error message to fix your installation?

You may need to manually install the python-launchpadlib package to use the apport command.

Kedar Joshi (kedarpjoshi) wrote :

Hi Steve,

First of all thanks for your help and appreciate the effort to get this resolved. However, i am still unable to fix this issue. I am new to Linux/Ubuntu as such. I executed the step as discussed in #16 above and as per your comment in #36. Please see below -

sudo apt-get -f install
[sudo] password for kirti:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  sdparm
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 1200 not upgraded.

Then i tried with what you suggested -

apport-cli -p update-manager -u 990740
The authorization page:
   (https://edge.launchpad.net/+authorize-token?oauth_token=BvrMPVB88xtCXNrmHBbf&allow_permission=WRITE_PRIVATE)
should be opening in your browser. After you have authorized
this program to access Launchpad on your behalf you should come
back here and press <Enter> to finish the authentication process.

*** Error: Updating problem report

You are not the reporter or subscriber of this problem report, or the report is a duplicate or already closed.

Please create a new report using "apport-bug".

Press any key to continue...

No pending crash reports. Try --help for more information.

Could you please let me know how to get this fixed? I have 1 more request. It took me a long time to download 859 MD of data to upgrade from 10.04 LTS to 12.04.01 LTS. Now i would like to avoid something that will force me to download/upgrade all over again right from scratch as my internet connection is limited and very slow.

Please help me.

thanks & regards,
Kedar

Stefano Rivera (stefanor) wrote :

Hi Kedar (2012.08.31_16:26:31_+0200)
> You are not the reporter or subscriber of this problem report, or the
> report is a duplicate or already closed.

How about creating a new bug (this one is far too crowded with unrelated
upgrade problems)

Run: ubuntu-bug update-manager

Bigal-sa (bigal-rsa) wrote :
Download full text (3.9 KiB)

I'm replying directly here, not via launchpad's bug listing. The first
thing that I tried after the upgrade broke was apt-get -f install, and that
gave me the error that apt (and the upgrade) was broken.

As apt is broken, I would probably have to install python-launchpad outside
of apt/dpkg and that would probably mean modifying the install scripts.

Regards

On Aug 31, 2012 7:55 AM, "Steve Langasek" <email address hidden>
wrote:
>
> Have you tried the 'apt-get -f install' command shown in the apt error
> message to fix your installation?
>
> You may need to manually install the python-launchpadlib package to use
> the apport command.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/990740
>
> Title:
> upgrading from lucid to precise fails
>
> Status in “python-defaults” package in Ubuntu:
> Invalid
>
> Bug description:
> Trying to "apt-get dist-upgrade" from lucid to precise I get the
> following error:
>
> E: Could not perform immediate configuration on 'python-
> minimal'.Please see man 5 apt.conf under APT::Immediate-Configure for
> details. (2)
>
> So I tried to upgrade just python-minimal and it failed the same:
>
> root@linux:/var/tmp# apt-get install python-minimal
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages were automatically installed and are no longer
required:
> libtext-csv-xs-perl libdbd-csv-perl libgs8 cpp-4.1
> Use 'apt-get autoremove' to remove them.
> The following extra packages will be installed:
> libapt-inst1.4 libcurl3-gnutls librtmp0 lsb-release python
python-apport python-apt python-apt-common python-gdbm python-lxml
python-mysqldb python-pkg-resources python-problem-report
> python-pycurl python-pysqlite2 python-simplejson
python-software-properties python-support python-twisted-bin
python-twisted-core python-zope.interface python2.7 python2.7-minimal
> Suggested packages:
> lsb python-doc python-tk python-apt-dbg python-gtk2 python-vte
python-apt-doc python-gdbm-dbg python-lxml-dbg python-egenix-mxdatetime
python-mysqldb-dbg python-distribute python-distribute-doc
> libcurl4-gnutls-dev python-pycurl-dbg python-pysqlite2-doc
python-pysqlite2-dbg python-twisted-bin-dbg python-glade2 python-qt3
python-wxgtk2.8 python2.7-doc binfmt-support
> Recommended packages:
> xz-lzma python-openssl python-pam python-serial
> The following packages will be REMOVED:
> python2.5 python2.5-minimal
> The following NEW packages will be installed:
> libapt-inst1.4 librtmp0 python-apt-common python2.7 python2.7-minimal
> The following packages will be upgraded:
> libcurl3-gnutls lsb-release python python-apport python-apt
python-gdbm python-lxml python-minimal python-mysqldb python-pkg-resources
python-problem-report python-pycurl python-pysqlite2
> python-simplejson python-software-properties python-support
python-twisted-bin python-twisted-core python-zope.interface
> 19 upgraded, 5 newly installed, 2 to remove and 718 not upgraded.
> Need to get 0B/7,492kB of archives.
> After this operation, ...

Read more...

Stefano Rivera (stefanor) wrote :

Hi Bigal-sa (2012.08.31_17:21:22_+0200)
> I'm replying directly here, not via launchpad's bug listing.

Which has the same effect :)

Then file a bug manually, and attach the upgrade logs
See https://wiki.ubuntu.com/DebuggingUpdateManager for details
https://help.ubuntu.com/community/ReportingBugs#Filing_bugs_at_Launchpad.net

FerdaS (ferdas) on 2012-09-02
Changed in python-defaults (Ubuntu):
assignee: nobody → FerdaS (ferdas)
FerdaS (ferdas) wrote :

Sorry for my assignee and unassignee :o(.
My problem is the same, I want read this bug in my mail directly.

Changed in python-defaults (Ubuntu):
assignee: FerdaS (ferdas) → nobody
Bill Hammond (gellmu) wrote :

It's too soon to close this bug.

The original issue: "E: could not perform immediate configuration on python-minimal" happened to me yesterday (2 Sept 2012) in the context of manual recovery of a failed upgrade from lucid to precise. (My original post-point-release effort to upgrade was launched on 27 Aug with update manager.)

"python-minimal" for lucid depends on "python2.7-minimal", and " python2.7-minimal depends on
python-minimal (>=2.6.6-3+squeeze1); however: Version of python-minimal on system is 2.6.5-0ubuntu1."

I've checked a fully updated lucid where no attempt at upgrade had been made to verify that its python-minimal
is 2.6.5-0ubuntu1.

Anyway, what is this dependency on "squeeze" (a version of Debian?)?

It seems that something is wrong with the metadata for python2.7-minimal.

Given this dependency and that an updated lucid with python2.6 has python-minimal 2.6.5-0ubuntu1, how can the upgrade from lucid to precise be expected to work?

Robert Sink (insink71) wrote :

I got auto updated today from System -> Update Manager.. having same issue.

Changed in python-defaults (Ubuntu):
status: Invalid → Confirmed
Robert Sink (insink71) wrote :

apport-cli -p update-manager -u 990740
Could not import module, is a package upgrade in progress? Error: No module named launchpadlib.errors

Would love to.. but this doesn't invalidate the bug.

description: updated
Changed in python-defaults (Ubuntu):
status: Confirmed → Invalid
Cafuego (cafuego) wrote :

Hitting the same problem on my desktop machine. I disabled all my non-Ubuntu repos (but did not uninstall their packages).

The workaround from #3 seemed to do the trick in that the install of newer packages is progressing. Not sure yet if I end up with a bootable and usable system at the end of this :-P

Robert Sink (insink71) wrote :

I did not. Had to reformat and do alternate install disk; I have a xeon processor and upgrade went pretty bumpy, including this error. If I didn't do android work, ubuntu would no longer be on my system, but thats just me being sore because I lost a lot of work. Precise itself is nice; I just don't think auto-updates are ever a good idea, nor do I think there should be a bug report marked as invalid if 35 ppl have had the same/similar issue. It took me a minute to calm down and read the finer print, but the alternate install (the one intended for xeon, apparently auto-update doesn't have fallback to this) went a lot more smoothly on my machine.

Russell Davie (russell-davie) wrote :

this got apt-get and dkpg going again:

cd to /var/cache/apt/archives

as root:

# dpkg -i python2.7-minimal* python-minimal*

Robert Sink (insink71) wrote :

the turning off of immediate configure helped me force the original, bad install to completion. It then just failed to boot, prompting me to reformat and read the ubuntu site thoroughly ;) and download/install the aforementioned alternate install. This may be affecting a small sect of the traffic to this bug; so, I thought I'd mention it.

tonyw (tony-whyman) wrote :

I fell into this bug doing a test upgrade in a virtual machine before upgrading a working server. Created the VM from the original distribution disk and then ran 'do-release-upgrade'. The upgrade failed do a dependency problem - almost certainly because I had omitted to upgrade lucid to the current version. Running 'apt-get dist-upgrade' failed due to the 'pythin-minimal' problem. The fix at the top of the thread worked for me.

The problem seems due (at least in my case) to running do-release-upgrade on an out-of-date system. Maybe the script should "offer" to upgrade the current system first before performing the release upgrade.

This wrks for me also...
sudo apt-get -f install -o APT::Immediate-Configure=false
apt-get update && apt-get dist-upgrade
reboot..

rasolama (rsena) wrote :

I'm still having this problem - I've tried all teh suggestions above (that may be another problem!)
root@noc1:/var/cache/apt/archives# apt-get install -o APT::Immediate-Configure=false -f apt python-minimal
Reading package lists... Done
Building dependency tree
Reading state information... Done
python-minimal is already the newest version.
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
  apt: Depends: libapt-pkg4.12 (>= 0.8.16~exp12ubuntu10.7) but 0.8.16~exp12ubuntu6~upgrader1 is to be installed
       Depends: libc6 (>= 2.15) but 2.11.1-0ubuntu7.10 is to be installed
       Depends: libstdc++6 (>= 4.6) but 4.4.3-4ubuntu5.1 is to be installed
       PreDepends: dpkg (>= 1.15.7.2) but 1.15.5.6ubuntu4.5 is to be installed
  apt-transport-https: Depends: libapt-pkg-libc6.10-6-4.8
  apt-utils: Depends: libapt-pkg-libc6.10-6-4.8
  aptitude: Depends: libapt-pkg-libc6.10-6-4.8
            Recommends: libparse-debianchangelog-perl but it is not going to be installed
  libept0: Depends: libapt-pkg-libc6.10-6-4.8
  libpackagekit-glib2-12: Depends: libapt-pkg-libc6.10-6-4.8
  libpackagekit-qt-12: Depends: libapt-pkg-libc6.10-6-4.8
  packagekit: Depends: libapt-pkg-libc6.10-6-4.8
  packagekit-backend-apt: Depends: libapt-pkg-libc6.10-6-4.8
  python: Depends: python-minimal (= 2.6.5-0ubuntu1) but 2.7.3-0ubuntu2 is to be installed
  python-apt: Depends: libapt-pkg-libc6.10-6-4.8
  python-minimal: Breaks: python2.5-minimal (< 2.5.5-7) but 2.5.2-2ubuntu6.1 is to be installed
  python2.7-minimal: Depends: libc6 (>= 2.15) but 2.11.1-0ubuntu7.10 is to be installed
                     Depends: libssl1.0.0 (>= 1.0.0) but it is not going to be installed
                     Recommends: python2.7 but it is not going to be installed
  synaptic: Depends: libapt-pkg-libc6.10-6-4.8
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

I've experienced same issue. The steps outlined here solved the issue and I was able to continue the upgrade from lucid to precise: https://lists.ubuntu.com/archives/ubuntu-users/2012-September/263773.html

For an i386 installation, the Python packages I used are:
https://launchpad.net/ubuntu/precise/i386/python2.7/2.7.3-0ubuntu3
https://launchpad.net/ubuntu/precise/i386/python2.7-minimal/2.7.3-0ubuntu3

Andreas Dissel (dissel) wrote :

Thanks a lot. It works for me.

Xan (dxpublica) wrote :

No solution for this problem. All mentioned solutions don't work for me.

Any workaround?

Thanks,

Tamas Papp (tamas-papp) wrote :

You mean, that this doesn't work for you?

$ apt-get -f install -o APT::Immediate-Configure=false python-minimal

Tytus Kurek (tkurek7) wrote :

I have experience exactly the same issue. Running the following command:

apt-get -f install -o APT::Immediate-Configure=false python-minimal

results in another error:

E: Couldn't configure pre-depend multiarch-support for libnih-dbus1, probably a dependency cycle.

Please, find the detailed instructions of what I did to bypass the above issues on my technical blog at:

http://tkurek.blogspot.com/2013/04/issues-with-python-minimal-during.html

Tytus Kurek (tkurek7) wrote :

An update on the previous post. On some other server I experienced different issue. Running the following command:

apt-get -f install -o APT::Immediate-Configure=false python-minimal

results in another error:

The following information may help to resolve the situation:

The following packages have unmet dependencies.
  libglib2.0-0: Recommends: libglib2.0-data but it is not going to be installed
                Breaks: gvfs (< 1.8) but 1.6.1-0ubuntu1build1 is to be installed
E: Broken packages

Please, find the detailed instructions of what I did to bypass the above issues on another post on my technical blog at:

http://tkurek.blogspot.com/2013/04/could-not-perform-immediate.html

Zgordan_VV (zgordan-vv) wrote :

Thanks a lot, it helps!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers